{ pkgs
, lib
, config
, ... }: with lib; let
  cfg = config.global.asusd;
in {
  options.global.asusd = {
    enable = mkEnableOption "ASUS laptop userland support daemon";
  };

  config = mkIf cfg.enable {
    services.asusd.enable = true;

    environment.persistence."/nix/persist/fhs".directories = [
      "/etc/asusd"
    ];
  };
}
